searchData={"items":[{"type":"module","title":"Anthropix","doc":"![License](https://img.shields.io/github/license/lebrunel/anthropix?color=informational)\n\nAn up-to-date and fully-featured Elixir client library for\n[Anthropic's REST API](https://docs.anthropic.com/claude/reference/getting-started-with-the-api).\n\n- ✅ API client fully implementing the Anthropic API\n- 🛜 Streaming API requests\n  - Stream to an Enumerable\n  - Or stream messages to any Elixir process\n- 🔜 Advanced and flexible function calling workflow\n\nThis library is currently a WIP. Check back in a week or two, by which point\nit should be bangin!","ref":"Anthropix.html"},{"type":"module","title":"Installation - Anthropix","doc":"The package can be installed by adding `anthropix` to your list of\ndependencies in `mix.exs`.\n\n```elixir\ndef deps do\n  [\n    {:anthropix, \"0.0.1\"}\n  ]\nend\n```","ref":"Anthropix.html#module-installation"},{"type":"module","title":"Quickstart - Anthropix","doc":"TODO...","ref":"Anthropix.html#module-quickstart"},{"type":"function","title":"Anthropix.init/0","doc":"Calling `init/1` without passing an API key, creates a new Anthropix API\nclient using the API key set in your application's config.\n\n```elixir\nconfig :anthropix, :api_key, \"sk-ant-your-key\"\n```\n\nIf given, a keyword list of options will be passed to `Req.new/1`.","ref":"Anthropix.html#init/0"},{"type":"function","title":"Examples - Anthropix.init/0","doc":"```elixir\niex> client = Anthropix.init()\n%Anthropix{}\n```","ref":"Anthropix.html#init/0-examples"},{"type":"function","title":"Anthropix.init/1","doc":"","ref":"Anthropix.html#init/1"},{"type":"function","title":"Anthropix.init/2","doc":"Calling `init/2` with an API key creates a new Anthropix API client, using the\ngiven API key. Optionally, a keyword list of options can be passed through to\n`Req.new/1`.","ref":"Anthropix.html#init/2"},{"type":"function","title":"Examples - Anthropix.init/2","doc":"```elixir\niex> client = Anthropix.init(\"sk-ant-your-key\", receive_timeout: :infinity)\n%Anthropix{}\n```","ref":"Anthropix.html#init/2-examples"},{"type":"function","title":"Anthropix.messages/2","doc":"Send a structured list of input messages with text and/or image content, and\nthe model will generate the next message in the conversation.","ref":"Anthropix.html#messages/2"},{"type":"function","title":"Options - Anthropix.messages/2","doc":"* `:model` (`t:String.t/0`) - Required. The model that will complete your prompt.\n* `:messages` (list of `t:map/0`) - Required. Input messages.\n* `:system` (`t:String.t/0`) - System prompt.\n* `:max_tokens` (`t:integer/0`) - The maximum number of tokens to generate before stopping. The default value is `4096`.\n* `:metadata` (`t:map/0`) - A map describing metadata about the request.\n* `:stop_sequences` (list of `t:String.t/0`) - Custom text sequences that will cause the model to stop generating.\n* `:stream` - Whether to incrementally stream the response using server-sent events. The default value is `false`.\n* `:temperature` (`t:float/0`) - Amount of randomness injected into the response.\n* `:top_k` (`t:integer/0`) - Only sample from the top K options for each subsequent token.\n* `:top_p` (`t:float/0`) - Amount of randomness injected into the response.","ref":"Anthropix.html#messages/2-options"},{"type":"function","title":"Message structure - Anthropix.messages/2","doc":"Each message is a map with the following fields:\n\n* `:role` (`t:String.t/0`) - Required. The role of the message, either `user` or `assistant`.\n* `:content` - Required. Message content, either a single string or an array of content blocks.","ref":"Anthropix.html#messages/2-message-structure"},{"type":"function","title":"Examples - Anthropix.messages/2","doc":"```elixir\niex> messages = [\n...>   %{role: \"system\", content: \"You are a helpful assistant.\"},\n...>   %{role: \"user\", content: \"Why is the sky blue?\"},\n...>   %{role: \"assistant\", content: \"Due to rayleigh scattering.\"},\n...>   %{role: \"user\", content: \"How is that different than mie scattering?\"},\n...> ]\n\niex> Anthropix.messages(client, [\n...>   model: \"claude-3-opus-20240229\",\n...>   messages: messages,\n...> ])\n{:ok, %{\"content\" => [%{\n  \"type\" => \"text\",\n  \"text\" => \"Mie scattering affects all wavelengths similarly, while Rayleigh favors shorter ones.\"\n}], ...}}\n\n# Passing true to the :stream option initiates an async streaming request.\niex> Anthropix.messages(client, [\n...>   model: \"claude-3-opus-20240229\",\n...>   messages: messages,\n...>   stream: true,\n...> ])\n{:ok, #Function<52.53678557/2 in Stream.resource/3>}\n```","ref":"Anthropix.html#messages/2-examples"},{"type":"type","title":"Anthropix.client/0","doc":"Client struct","ref":"Anthropix.html#t:client/0"},{"type":"type","title":"Anthropix.message/0","doc":"Chat message\n\nA chat message is a `t:map/0` with the following fields:\n\n* `:role` (`t:String.t/0`) - Required. The role of the message, either `user` or `assistant`.\n* `:content` - Required. Message content, either a single string or an array of content blocks.","ref":"Anthropix.html#t:message/0"},{"type":"type","title":"Anthropix.response/0","doc":"Client response","ref":"Anthropix.html#t:response/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}